Bug 250415 - cupsd crashes when failing to open a file: URI
Summary: cupsd crashes when failing to open a file: URI
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cups   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
high
low
Target Milestone: ---
: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-01 13:58 UTC by Tim Waugh
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2007-1020
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-31 13:49:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cups-str2351.patch (356 bytes, patch)
2007-08-01 13:58 UTC, Tim Waugh
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:1020 normal SHIPPED_LIVE Important: cups security and bug fix update 2007-10-31 13:48:34 UTC
CUPS Bugs and Features 2351 None None None Never

Description Tim Waugh 2007-08-01 13:58:44 UTC
Description of problem:
When attempting to open a file: URI, if the open fails the scheduler crashes.

Version-Release number of selected component (if applicable):
cups-1.2.4-11.13.el5

How reproducible:
100%

Steps to Reproduce:
On a machine with no parallel port:
1.lpadmin -p test -v /dev/lp0 -m postscript.ppd.gz
2.echo foo | lp -dtest
  
Actual results:
Scheduler crashes.

Expected results:
Job fails.

Additional info:
Fixed upstream in 1.2.11.

Comment 1 Tim Waugh 2007-08-01 13:58:45 UTC
Created attachment 160413 [details]
cups-str2351.patch

Comment 2 Phil Knirsch 2007-08-06 10:10:05 UTC
Very clear Devel ACK.

Read ya, Phil

Comment 7 errata-xmlrpc 2007-10-31 13:49:05 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-1020.html



Note You need to log in before you can comment on or make changes to this bug.